gio-0.13.10.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

System.GIO.Async.AsyncResult

Contents

- Types
- Methods

Description

Synopsis

- data AsyncResult
- class GObjectClass o => AsyncResultClass o
- type AsyncReadyCallback = GObject -> AsyncResult -> IO ()
- marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback

# Types

data AsyncResult Source #

#### Instances

Instances details

Eq AsyncResult Source # |
Instance details Defined in System.GIO.Types Methods (==) :: AsyncResult -> AsyncResult -> Bool Source # (/=) :: AsyncResult -> AsyncResult -> Bool Source #
Ord AsyncResult Source # |

Instance details

Defined in System.GIO.Types

Methods

compare :: AsyncResult -> AsyncResult -> Ordering Source #

(<) :: AsyncResult -> AsyncResult -> Bool Source #

(<=) :: AsyncResult -> AsyncResult -> Bool Source #

(>) :: AsyncResult -> AsyncResult -> Bool Source #

(>=) :: AsyncResult -> AsyncResult -> Bool Source #

max :: AsyncResult -> AsyncResult -> AsyncResult Source #

min :: AsyncResult -> AsyncResult -> AsyncResult Source #

AsyncResultClass AsyncResult Source # |
Instance details Defined in System.GIO.Types
GObjectClass AsyncResult Source # |
Instance details Defined in System.GIO.Types Methods toGObject :: AsyncResult -> GObject Source # unsafeCastGObject :: GObject -> AsyncResult Source #

class GObjectClass o => AsyncResultClass o Source #

#### Instances

Instances details

AsyncResultClass AsyncResult Source # |
Instance details Defined in System.GIO.Types

type AsyncReadyCallback = GObject -> AsyncResult -> IO () Source #

# Methods

marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback Source #